var flag = false;

$(document).ready(function() {

});

function openClose() {
    if (flag) {
        $('#panel-poidetail').panel('close');

        $('#panel-image').panel('close');
        $('#panel-images').panel('close');

        $('#panel-video').panel('close');
        $('#panel-videos').panel('close');

        $('#panel-three-dim-object').panel('close');
        $('#panel-three-dim-objects').panel('close');

        document.getElementById("player").innerHTML = "";
        document.getElementById("player-video").innerHTML = "";
        document.getElementById("sketchfab").innerHTML = "";

        flag = false;
    }
    else {
        $('#panel-poidetail').panel('open');

        getPhotos();
        getVideos();
        getThreeDimObjects();

        flag = true;
    }
}

function openPanel(name) {
    var connected = window.navigator.onLine;

    if (connected) {
        $(name).panel('open');
    }
    else {
        Swal.fire({
            title: 'Προσοχή',
            text: 'Δεν βρέθηκε σύνδεση στο ίντερνετ',
            type: 'warning',
            customClass: 'swal-wide',
            confirmButtonText: 'Οκ'
        })
    }
}

function returnPanel() {
    $('#panel-poidetail').panel('open');
}

function displayImage(photo) {
    document.getElementById("player").innerHTML = "";

    var PlayerInstance = new Clappr.Player({
        source: photo,
        plugins: {
            container: [Video360],
        },
        parentId: '#player',
    });

    PlayerInstance.getPlugin('click_to_pause').disable();

    $("#player > div").css("width", screen.width);
    $("#player > div").css("height", screen.height);

    $('#panel-image').panel('open');
}

function displayVideo(video) {
    document.getElementById("player-video").innerHTML = "";

    var PlayerInstance = new Clappr.Player({
        source: video,
        plugins: {
            container: [Video360],
        },
        parentId: '#player-video',
    });

    PlayerInstance.getPlugin('click_to_pause').disable();

    $("#player-video > div").css("width", screen.width);
    $("#player-video > div").css("height", screen.height - (screen.height * 0.03));

    $('#panel-video').panel('open');
}

function displayThreeDimObject(uid) {
    var screenWidth = screen.width;
    var screenHeight = screen.height + (screen.height * 0.07);

    document.getElementById("sketchfab").innerHTML = "<iframe title='A 3D model' width=\'" + screenWidth + "\' height=\'" + screenHeight + "\' src='https://sketchfab.com/models/" + uid + "/embed?autostart=1&autospin=0.5' frameborder='0' allow='autoplay; fullscreen; vr' mozallowfullscreen='true' webkitallowfullscreen='true'></iframe>";
    $('#panel-three-dim-object').panel('open');
}

function navigate() {
    var connected = window.navigator.onLine;

    if (connected) {
        Swal.fire({
            title: 'Περιήγηση',
            text: 'Επιτυχής ενημέρωση των σημείων ενδιαφέροντος',
            type: 'success',
            customClass: 'swal-wide',
            confirmButtonText: 'Οκ'
        })
    }
    else {
        Swal.fire({
            title: 'Προσοχή',
            text: 'Δεν βρέθηκε σύνδεση στο ίντερνετ, η περιήγηση θα γίνει με χρήση δεδομένων που είναι αποθηκευμένα στην συσκευή τοπικά',
            type: 'warning',
            customClass: 'swal-wide',
            confirmButtonText: 'Οκ'
        })
    }

    $('#panel-poidetail').panel('close');
    $('#panel-image').panel('close');
    $('#panel-images').panel('close');

    flag = false;
}

function getPhotos() {
    $.ajax({
        beforeSend: function(request) {
        },
        dataType: "json",
        type: 'GET',
        url: "http://pk-advent.indigital.gr/api/photos",
        success: function(data) {
            var data = JSON.stringify(data);
            var photos = JSON.parse(data);

            var html = "";

            for (var i = 0; i < photos.length; i++) {
                html += "<div class='menu-nav-item' onclick='displayImage(\"http://pk-advent.indigital.gr/get-photo/" + photos[i].file_name +  "\");'>";
                /*html += "<div class='menu-nav-item' onclick='displayImage(\"assets/img360.png\");\'>";*/
                html += "<img src='assets/nav-images.png' alt='Images' height='24' width='24'>";
                html += "<p>" + photos[i].name + " " + i +"</p>";
                html += "</div>";
            }

            html += "<hr/>";

            html += "<div class='menu-nav-item' onclick='returnPanel();'>";
            html += "<img src='assets/back-arrow.png' alt='Images' height='24' width='24'>";
            html += "<p>Επιστροφή</p>";
            html += "</div>";

            document.getElementById("panel-images-content").innerHTML = html;
        },
        error: function (xhr, ajaxOptions, thrownError) {
       }
    });
}

function getVideos() {
    $.ajax({
        beforeSend: function(request) {
        },
        dataType: "json",
        url: "http://pk-advent.indigital.gr/api/videos",
        success: function(data) {
            var data = JSON.stringify(data);
            var videos = JSON.parse(data);

            var html = "";

            for (var i = 0; i < videos.length; i++) {
                html += "<div class='menu-nav-item' onclick='displayVideo(\"http://pk-advent.indigital.gr/get-video/" + videos[i].file_name +  "\");'>";
                /*html += "<div class='menu-nav-item' onclick='displayVideo(\"assets/vid360.mp4\");\'>";*/
                html += "<img src='assets/nav-videos.png' alt='Images' height='24' width='24'>";
                html += "<p>" + videos[i].name + "</p>";
                html += "</div>";
            }

            html += "<hr/>";

            html += "<div class='menu-nav-item' onclick='returnPanel();'>";
            html += "<img src='assets/back-arrow.png' alt='Images' height='24' width='24'>";
            html += "<p>Επιστροφή</p>";
            html += "</div>";

            document.getElementById("panel-videos-content").innerHTML = html;
        },
        error: function (xhr, ajaxOptions, thrownError) {
       }
    });
}

function getThreeDimObjects() {
    $.ajax({
        beforeSend: function(request) {
        },
        dataType: "json",
        url: "http://pk-advent.indigital.gr/api/three-dim-objects",
        success: function(data) {
            var data = JSON.stringify(data);
            var threeDimObjects = JSON.parse(data);

            var html = "";

            for (var i = 0; i < threeDimObjects.length; i++) {
                html += "<div class='menu-nav-item' onclick='displayThreeDimObject(\"" + threeDimObjects[i].uid + "\");\'>";
                html += "<img src='assets/nav-three-dim-objects.png' alt='Images' height='24' width='24'>";
                html += "<p>" + threeDimObjects[i].name + "</p>";
                html += "</div>";
            }

            html += "<hr/>";

            html += "<div class='menu-nav-item' onclick='returnPanel();'>";
            html += "<img src='assets/back-arrow.png' alt='Images' height='24' width='24'>";
            html += "<p>Επιστροφή</p>";
            html += "</div>";

            document.getElementById("panel-three-dim-objects-content").innerHTML = html;
        },
        error: function (xhr, ajaxOptions, thrownError) {
       }
    });
}
